## memtester 4.0.8

=== Makefile ===
#
# Makefile for memtester by Charles Cazabon.
#
# Copyright (C) 1999 Simon Kirby.
# Copyright (C) 1999-2007 Charles Cazabon.
# Licensed under the GNU General Public License version 2.  See the file
# COPYING for details.
#

CC			= $(shell head -n 1 conf-cc)
LD			= $(shell head -n 1 conf-ld)

SOURCES		= memtester.c tests.c
OBJECTS		= $(SOURCES:.c=.o)
HEADERS		= memtester.h
TARGETS     = *.o compile load auto-ccld.sh find-systype make-compile make-load systype extra-libs
INSTALLPATH	= /usr/local

#
# Targets
#
all: memtester

install: all
	mkdir -m 755 -p $(INSTALLPATH)/{bin,man/man8}
	install -m 755 memtester $(INSTALLPATH)/bin/
	gzip -c memtester.8 >memtester.8.gz ; install -m 644 memtester.8.gz $(INSTALLPATH)/man/man8/

auto-ccld.sh: \
conf-cc conf-ld warn-auto.sh
	( cat warn-auto.sh; \
	echo CC=\'`head -1 conf-cc`\'; \
	echo LD=\'`head -1 conf-ld`\' \
	) > auto-ccld.sh

compile: \
make-compile warn-auto.sh systype
	( cat warn-auto.sh; ./make-compile "`cat systype`" ) > \
	compile
	chmod 755 compile

find-systype: \
find-systype.sh auto-ccld.sh
	cat auto-ccld.sh find-systype.sh > find-systype
	chmod 755 find-systype

make-compile: \
make-compile.sh auto-ccld.sh
	cat auto-ccld.sh make-compile.sh > make-compile
	chmod 755 make-compile

make-load: \
make-load.sh auto-ccld.sh
	cat auto-ccld.sh make-load.sh > make-load
	chmod 755 make-load

systype: \
find-systype trycpp.c
	./find-systype > systype

extra-libs: \
extra-libs.sh systype
	./extra-libs.sh "`cat systype`" >extra-libs

load: \
make-load warn-auto.sh systype
	( cat warn-auto.sh; ./make-load "`cat systype`" ) > load
	chmod 755 load

clean:
	rm -f memtester $(TARGETS) $(OBJECTS) core

memtester: \
$(OBJECTS) memtester.c tests.h tests.c tests.h conf-cc Makefile load extra-libs
	./load memtester tests.o `cat extra-libs`

memtester.o: memtester.c tests.h conf-cc Makefile compile
	./compile memtester.c

tests.o: tests.c tests.h conf-cc Makefile compile
	./compile tests.c

## memtester 4.1.3

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,14 @@
 # Makefile for memtester by Charles Cazabon.
 #
 # Copyright (C) 1999 Simon Kirby.
-# Copyright (C) 1999-2007 Charles Cazabon.
+# Copyright (C) 1999-2009 Charles Cazabon.
 # Licensed under the GNU General Public License version 2.  See the file
 # COPYING for details.
 #
 
+# You don't need to edit these; change the contents of the conf-cc and conf-ld
+# files if you need to change the compile/link commands.  See the README for
+# more information.
 CC			= $(shell head -n 1 conf-cc)
 LD			= $(shell head -n 1 conf-ld)

## memtester 4.2.2

=== debian/changelog ===
memtester (4.2.2-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.2.
  * Switch to dpkg-source format version 3.0 (quilt).

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 04 Aug 2011 12:00:49 +0200

memtester (4.2.1-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 11 Oct 2010 12:45:36 +0200

memtester (4.2.0-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.1.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 10 Aug 2010 13:12:18 +0200

memtester (4.1.3-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright: correct license, fix my umlauts in my name.
  * Bump standards version to 3.8.4.
  * Added debian/watch file.
  * debian/control: added ${misc-Depends}.
  * Fix lintian warning about extended-description-is-probably-too-short.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 08 Mar 2010 13:57:36 +0100

memtester (4.1.2-1) unstable; urgency=low

  * New upstream version.
  * Update my email address.
  * Bump standards version.
  * Bump debhelper version.
  * Updated debian/copyright.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 31 Jul 2009 11:15:22 +0200

memtester (4.0.8-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 25 Nov 2007 04:00:30 +0100

memtester (4.0.7-1) unstable; urgency=low

  * New maintainer. (Closes: #452190)
  * New upstream version. (Closes: #330126)
    + debian/dirs: Removed usr/sbin. (Closes: #382165)
    + debian/copyright: Updated.
    + debian/compat: Added.
    + debian/control: Updated and extended.
    + debian/rules: Cleaned up.
    + debian/docs: Updated.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 20 Nov 2007 23:03:24 +0100

memtester (2.93.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust Conflicts: sysutils to the recent package split (closes: #339481);
    no further changes applied for now, leaving any updates to the maintainer

 -- Florian Ernst <florian@debian.org>  Wed,  4 Jan 2006 02:16:10 +0100

memtester (2.93.1-3) unstable; urgency=low

  * closes: #213546 (memtest breaks if asked to test less than one page)
  * changed copyright to GPL-2 only (closes: #296524)
  * change maintainer address to debian.org

 -- Oliver Kurth <oku@debian.org>  Tue, 21 Jun 2005 10:19:42 -0700

memtester (2.93.1-2) unstable; urgency=low

  * added patch, from #126776 in sysutils (Missing prototypes)
  * added ABOUT file
  * new package, closes #155035 (ITP)

 -- Oliver Kurth <oku@masqmail.cx>  Wed,  7 Aug 2002 12:34:21 +0200

memtester (2.93.1-1) unstable; urgency=low

  * Initial Release.

 -- Oliver Kurth <oku@masqmail.cx>  Wed, 12 Jun 2002 11:45:20 +0200

=== debian/control ===
Source: memtester
Section: utils
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://pyropus.ca/software/memtester/

Package: memtester
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility for testing the memory subsystem
 This is a userspace utility for testing the memory subsystem for faults.
 In comparison to memtest86 you do not need to reboot the computer to test
 for memory faults.
 .
 Memtester can also be told to test memory starting at a particular
 physical address.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cp -p memtester $(CURDIR)/debian/memtester/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman memtester.8
	dh_installchangelogs CHANGELOG
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://pyropus.ca/software/memtester/old-versions/ memtester-([\d\.]+)\.tar\.gz

## memtester 4.3.0

=== debian/changelog ===
memtester (4.3.0-3) unstable; urgency=low

  * New maintainer (closes: #704327).

  [ Bart Martens <bartm@debian.org> ]
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 01 Apr 2013 11:56:19 +0200

memtester (4.3.0-2) unstable; urgency=low

  * Adding dpkg-source local options.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 16 Dec 2012 10:32:12 +0100

memtester (4.3.0-1) experimental; urgency=low

  * Merging upstream version 4.3.0.
  * Removing watch file.
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.4.
  * Sorting depends field.
  * Rewriting copyright file and licensing debian files under GPL-2+ in
    agreement with Guergkan for better upstream compatibility.
  * Replacing auto-generated patch with a proper and correct one
    (Closes: #643216).
  * Updating debhelper docs file.
  * Minimalizing rules file.
  * Switching to xz compression.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 30 Oct 2012 11:04:16 +0100

memtester (4.2.2-2) unstable; urgency=low

  * New maintainer (Closes: #691837).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 30 Oct 2012 10:20:05 +0100

=== debian/control ===
Source: memtester
Section: utils
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://pyropus.ca/software/memtester/

Package: memtester
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utility for testing the memory subsystem
 This is a userspace utility for testing the memory subsystem for faults.
 In comparison to memtest86 you do not need to reboot the computer to test
 for memory faults.
 .
 Memtester can also be told to test memory starting at a particular
 physical address.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	# disabled

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

=== debian/watch ===
version=3
http://pyropus.ca/software/memtester/ .*/memtester-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Mon, 10 Dec 2012 21:16:33 +0000

## memtester 4.5.0

=== debian/changelog ===
memtester (4.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Sep 2020 21:05:49 +0200

memtester (4.3.0-5) unstable; urgency=medium

  * Reorganize variables to fix GCC 10 FTBFS (closes: #957529).
  * Remove own compression option.
  * Update debhelper level to 12:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Apr 2020 18:33:41 +0000

memtester (4.3.0-4) unstable; urgency=low

  * Minor packaging updates.
  * Update Standards-Version to 3.9.7 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Export CC to support cross compilation (closes: #798795).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Mar 2016 16:22:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: memtester
 Section: utils
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
 Homepage: http://pyropus.ca/software/memtester/
 
 Package: memtester

=== debian/watch ===
version=4
http://pyropus.ca/software/memtester/ .*/memtester-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Mon, 10 Dec 2012 21:16:33 +0000

## memtester 4.5.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile for memtester by Charles Cazabon.
 #
 # Copyright (C) 1999 Simon Kirby.
-# Copyright (C) 1999-2009 Charles Cazabon.
+# Copyright (C) 1999-2020 Charles Cazabon.
 # Licensed under the GNU General Public License version 2.  See the file
 # COPYING for details.
 #
@@ -25,8 +25,9 @@
 all: memtester
 
 install: all
-	mkdir -m 755 -p $(INSTALLPATH)/{bin,man/man8}
+	mkdir -m 755 -p $(INSTALLPATH)/bin
 	install -m 755 memtester $(INSTALLPATH)/bin/
+	mkdir -m 755 -p $(INSTALLPATH)/man/man8
 	gzip -c memtester.8 >memtester.8.gz ; install -m 644 memtester.8.gz $(INSTALLPATH)/man/man8/
 
 auto-ccld.sh: \

=== debian/changelog ===
memtester (4.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Aug 2021 18:11:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Homepage: http://pyropus.ca/software/memtester/
 
 Package: memtester

## memtester 4.6.0

=== debian/changelog ===
memtester (4.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 21 Dec 2022 17:36:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: http://pyropus.ca/software/memtester/
 
 Package: memtester

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif
export CC

override_dh_auto_install:
	# disabled

%:
	dh ${@}

.PHONY: override_dh_auto_install

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://pyropus.ca./software/memtester/old-versions/ \
memtester-[vV]?(\d\S*)@ARCHIVE_EXT@

## memtester 4.7.1

=== debian/changelog ===
memtester (4.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 17 Dec 2024 17:52:11 +0100

memtester (4.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Dec 2024 22:25:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://pyropus.ca/software/memtester/
